--[[

	Epic Trees

	Created by Xachman

]]

epic_trees = {

}

local path = minetest.get_modpath("epic_trees")


dofile(path .. "/wood.lua")
dofile(path .. "/sapling.lua")
dofile(path .. "/schems.lua")
dofile(path .. "/food.lua")
dofile(path .. "/leaves.lua")


if minetest.get_modpath("lumberjack") and minetest.global_exists("lumberjack") then
	lumberjack.register_tree("epic_trees:banana_trunk", "epic_trees:banana_tree_sapling", 1, 3)
end

if minetest.get_modpath("bonemeal") and minetest.global_exists("bonemeal") then
	bonemeal:add_sapling({
		{"epic_trees:banana_tree_sapling", epic_trees.grow_banana_tree, "soil"},
		{"epic_trees:banana_tree_sapling", epic_trees.grow_banana_tree, "sand"},
		{"epic_trees:orange_tree_sapling", epic_trees.grow_orange_tree, "soil"},
		{"epic_trees:orange_tree_sapling", epic_trees.grow_orange_tree, "sand"}
	})
end